<?php
	/**
		* @package     Joomla.Site
		* @subpackage  mod_articles_category
		* @author 	   web-eau.net
		* @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
		* @license     GNU General Public License version 2 or later; see LICENSE.txt
	*/
	
	defined('_JEXEC') or die;

$db     = JFactory::getDbo();
$query = $db->getQuery(true);
$query->select(array('id', 'title', 'description'));
$query->from($db->quoteName('#__categories'));
$query->where($db->quoteName('extension') . ' = ' . $db->quote('com_content'));
$db->setQuery($query);

$categories = $db->loadObjectList('title');
?>

<ul class="schedule-events-main category-module<?php echo $moduleclass_sfx; ?>">
	<?php if ($grouped) : ?>
	<?php foreach ($list as $group_name => $group) : ?>
	
	<li class="schedule-events-date">
		<h3 class="mod-articles-category-group"><?php echo $group_name; ?></h3>         
		<p><?php echo count($group) > 0 ? $categories[$group_name]->description : ''; ?></p>
	</li>	
          
	<li class="schedule-events">
		<ul class="list-unstyled schedule-events-detail">
			<?php foreach ($group as $item) : ?>
			<li>
				<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
					<span class="schedule-event-time"><?php echo $item->displayDate; ?> - </span>  <!-- date format -->
					<span class="schedule-event-name"><?php echo $item->title; ?></span> <!-- article title -->
					<br />
					<?php $item->urls = new JRegistry($item->urls); ?>
					<span class="schedule-event-location"><?php echo $item->urls->get('urlatext'); ?></span> 
				</a>
			</li>
			<?php endforeach; ?>
		</ul>
	</li>
	
	<?php endforeach; ?>
	<?php else : ?>
	<?php foreach ($list as $item) : ?>
	<li class="schedule-events-date">
		<h3 class="mod-articles-category-group"><?php echo $item->displayCategoryTitle; ?></h3>
		<p>Title of the day</p>
	</li>	
	<li>
		<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
			<span class="schedule-event-time"><?php echo $item->displayDate; ?> - </span>  <!-- date format -->
			<span class="schedule-event-name"><?php echo $item->title; ?></span> <!-- article title -->
			<br />
			<?php $item->urls = new JRegistry($item->urls); ?>
			<span class="schedule-event-location"><?php echo $item->urls->get('urlatext'); ?></span> 
		</a>
	</li>
	<?php endforeach; ?>
	<?php endif; ?>
</ul>
